> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.awork.com/apiv1/absence-regions/get-absence-regions/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server. # Returns all absence regions. GET https://api.awork.com/api/v1/absenceregions Returns all absence regions with their public holiday details. The user must be an admin or have `user-planning-data:write` permission to see users assigned to absence regions. Reference: https://developers.awork.com/apiv1/absence-regions/get-absence-regions ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Response ### 200 OK - `list of AbsenceRegionModel` ## Types ### AbsenceRegionModel - `id` (string, optional) — The id of the entity. - `createdOn` (string, optional) — The date this entity was created. - `createdBy` (string, optional) — The id of the user who created this entity. - `updatedOn` (string, optional) — The date this entity was last modified. - `updatedBy` (string, optional) — The id of the user who last modified this entity. - `name` (string, optional, nullable) — The name of the absence region, as specified by the user. It must be unique within the workspace. - `countryCode` (string, optional, nullable) — The country code of the absence region. It must be a valid ISO 3166-1 alpha-2 country code. - `country` (string, optional, nullable) — The english name of the country. - `locationCode` (string, optional, nullable) — The location code of the absence region. It should be a valid ISO 3166-2 country subdivision code. - `location` (string, optional, nullable) — The name of the location. It will always be in the related country's language. - `isDefault` (boolean, optional) — Indicates whether the absence region is the default absence region. Any new user will be assigned to the default absence region. - `numberOfPublicHolidays` (integer, optional) — The number of public holidays in the absence region. - `assignedUsers` (list of string, optional, nullable) — The list of user ids assigned to the absence region. ## Examples **Response** ```json [ { "id": "123e4567-e89b-12d3-a456-426614174000", "createdOn": "2022-03-11T15:33:47.100Z", "createdBy": "123e4567-e89b-12d3-a456-426614174000", "updatedOn": "2022-03-11T21:15:00.100Z", "updatedBy": "123e4567-e89b-12d3-a456-426614174000", "name": "Hamburg", "countryCode": "DE", "country": "Germany", "locationCode": "DE-HH", "location": "Hamburg", "isDefault": true, "numberOfPublicHolidays": 10, "assignedUsers": [ "7b356284-d22b-4f74-980d-0a548d3b6318", "b37f07dd-6644-4271-9c8a-bb700cc21b63" ] } ] ``` **SDK Code** ```python import requests url = "https://api.awork.com/api/v1/absenceregions" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.awork.com/api/v1/absenceregions'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.awork.com/api/v1/absenceregions" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.awork.com/api/v1/absenceregions") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.awork.com/api/v1/absenceregions") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.awork.com/api/v1/absenceregions', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.awork.com/api/v1/absenceregions"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/absenceregions")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```